> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/ai-in-umbraco/17.latest/reference/models.md).

# Models

Core domain models used throughout Umbraco.AI.

## Available Models

| Model                                                                      | Description                      |
| -------------------------------------------------------------------------- | -------------------------------- |
| [AIProfile](/ai-in-umbraco/17.latest/reference/models/ai-profile.md)       | Configuration for AI model usage |
| [AIConnection](/ai-in-umbraco/17.latest/reference/models/ai-connection.md) | Connection to an AI provider     |
| [AICapability](/ai-in-umbraco/17.latest/reference/models/ai-capability.md) | Type of AI capability            |
| [AIModelRef](/ai-in-umbraco/17.latest/reference/models/ai-model-ref.md)    | Reference to a specific model    |

## Model Relationships

```mermaid
graph TD
    A["AIConnection\n(credentials)"] --> B["AIProfile\n(settings)"]
    B --> C[AICapability]
    B --> D[AIModelRef]
```

A profile references:

* One **connection** for authentication
* One **model reference** specifying provider and model ID
* One **capability** type (Chat, Embedding, and so on)

## In This Section

{% content-ref url="/pages/SfHsXOOTj48LQyYJwjYr" %}
[AIProfile](/ai-in-umbraco/17.latest/reference/models/ai-profile.md)
{% endcontent-ref %}

{% content-ref url="/pages/gNRENcdBEVG7RzjdoMU6" %}
[AIConnection](/ai-in-umbraco/17.latest/reference/models/ai-connection.md)
{% endcontent-ref %}

{% content-ref url="/pages/sclxPH4envuoHX03VdO2" %}
[AICapability](/ai-in-umbraco/17.latest/reference/models/ai-capability.md)
{% endcontent-ref %}

{% content-ref url="/pages/5oWIxP2oyKGdZwtEgZkt" %}
[AIModelRef](/ai-in-umbraco/17.latest/reference/models/ai-model-ref.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.umbraco.com/ai-in-umbraco/17.latest/reference/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
